Subject: Re: [PATCH v4 0/3] net: dsa: mv88e6xxx: add support for VLAN Table Unit

From: Andrew Lunn <[email-masked]>
Date: Wed, 8 Jul 2015 22:08:52 +0200

> > This is a limitation of the switch. So the driver needs to keep track
> > of which bridge a VLAN belongs to, if it is asked to accelerate the
> > same VLAN for a different bridge, it needs to say to the kernel,
> > sorry, cannot do that, and leave the kernel to do it in software.
> 
> Scott, how do you think this must be done? Returning a different error
> code when trying to add a SWITCHDEV_OBJ_PORT_VLAN object?
> Not sure how to query this fallback. Is -EOPNOTSUPP enough?

There was quite a bit of discussion about this a while back.  It
should return an error during the prepare phase. Looking at
__vlan_vid_add() and switchdev_fib_ipv4_add, it should return
EOPNOTSUPP.

	  Andrew